### Signal

# Manette Monitor::device-connected

#### Declaration

    void
    device_connected (
      ManetteMonitor* self,
      ManetteDevice* device,
      gpointer user_data
    )

#### Description [src]

Emitted when `device` is connected.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`device`

  Type: `ManetteDevice`

  A device.

  The data is owned by the caller of the function.